Tryton - Issues

 

Issue6876

Title Docker image
Priority feature Status resolved
Superseder Nosy List ced, pokoli, reviewbot, roundup-bot
Type feature request Components
Assigned To ced Keywords review, website
Reviews 39841002,43751002
View: 39841002, 43751002

Created on 2017-10-23.19:17:10 by ced, last changed by roundup-bot.

Messages
New changeset c33a8efda227 by Cédric Krier in branch 'default':
Add Tryton on Docker
http://hg.tryton.org/www.tryton.org/rev/c33a8efda227
review43751002 updated at https://codereview.tryton.org/43751002/#ps20001
review43751002 updated at https://codereview.tryton.org/43751002/#ps1
msg36827 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-11-10.18:01:21
Here is review43751002 for the website news.
New changeset 6a6f4a4a3209 by Cédric Krier in branch 'default':
Initial commit
http://hg.tryton.org/tryton-docker/rev/6a6f4a4a3209
review39841002 updated at https://codereview.tryton.org/39841002/#ps200001
msg36621 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-10-30.09:42:16
Of course we will once it has been reviewed and the build is automated on tycho.
msg36620 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2017-10-30.09:41:04
I'm wondering if we should add to the download page that a docker image is available for downloading.
review39841002 updated at https://codereview.tryton.org/39841002/#ps160001
review39841002 updated at https://codereview.tryton.org/39841002/#ps140001
review39841002 updated at https://codereview.tryton.org/39841002/#ps120001
review39841002 updated at https://codereview.tryton.org/39841002/#ps100001
review39841002 updated at https://codereview.tryton.org/39841002/#ps80001
review39841002 updated at https://codereview.tryton.org/39841002/#ps60001
review39841002 updated at https://codereview.tryton.org/39841002/#ps40001
review39841002 updated at https://codereview.tryton.org/39841002/#ps1
msg36421 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-10-23.19:23:29
Here is review39841002
You can test the result at https://hub.docker.com/r/cedk/tryton/

I have already created a Tryton organization to publish official images: https://hub.docker.com/u/tryton/dashboard/
The idea is to update each images after each release in the series and push on tryton org.
msg36420 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-10-23.19:17:10
Following: https://discuss.tryton.org/t/build-docker-images/225
History
Date User Action Args
2017-11-13 10:46:33roundup-botsetstatus: testing -> resolved
messages: + msg36856
2017-11-13 10:30:01reviewbotsetmessages: + msg36855
2017-11-10 18:11:26reviewbotsetmessages: + msg36828
2017-11-10 18:01:21cedsetstatus: resolved -> testing
reviews: 39841002 -> 39841002,43751002
messages: + msg36827
keyword: + website
2017-11-10 16:54:39roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg36826
2017-10-31 09:08:49reviewbotsetmessages: + msg36650
2017-10-30 09:42:16cedsetmessages: + msg36621
2017-10-30 09:41:04pokolisetnosy: + pokoli
messages: + msg36620
2017-10-28 17:38:32reviewbotsetmessages: + msg36594
2017-10-26 16:48:13reviewbotsetmessages: + msg36581

Showing 10 items. Show all history (warning: this could be VERY long)